## transcend 0.3.dfsg2

=== debian/changelog ===
transcend (0.3.dfsg2-5) unstable; urgency=medium

  * Team Upload
  * Import game on Salsa
  * Switch to DebHelper 13
  * Set "Rules-Requires-Root: no"
  * Remove old menu entry
  * Remove obsolete libgl1-mesa-dev alternative

 -- Alexandre Detiste <tchet@debian.org>  Tue, 17 Dec 2024 15:23:12 +0100

transcend (0.3.dfsg2-4) unstable; urgency=medium

  * Team upload
  * Drop old Vcs fields
  * Remove Sam from Uploaders (Closes: #1011589)

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make (Closes: #923178)

 -- Bastian Germann <bage@debian.org>  Tue, 19 Sep 2023 19:19:41 +0000

transcend (0.3.dfsg2-3) unstable; urgency=low

  * Add patch to build with portaduio19. (Closes: #594014).
  * Add hardening flags.
    + Thanks to Peter De Wachter for the help.
  * Add build-dep on dpkg-dev for buildflags.
  * Bump Standards Version to 3.9.4.

 -- Barry deFreese <bdefreese@debian.org>  Mon, 27 May 2013 13:44:03 -0400

transcend (0.3.dfsg2-2) unstable; urgency=low

  * Use a different icon on platforms where icns2png fails (Closes: #613928)

 -- Paul Wise <pabs@debian.org>  Sat, 19 Feb 2011 11:29:46 +0800

transcend (0.3.dfsg2-1) unstable; urgency=low

  * Add myself to uploaders and wrap it
  * Switch to dpkg-source v3 format
  * Switch to debhelper dh rules.tiny style
  * Keep upstream capitalization, add symlinks
  * Drop makefile patch in favour of sed
  * Repack to remove prebuilt Windows binaries
  * Improve the repack process slightly
  * Add Debian and FreeDesktop menu items
  * Add an icon converted from the MacOS X icon
  * Wrap the build-depends, drop unused autotools-dev
  * Refer to the correct version of the GPL
  * Don't link against libraries that are not used
    and drop Build-Depends for them
  * Clean up watch file and blank lines
  * Refresh patches and add DEP-3 headers
  * Bump Standards-Version, no changes needed

 -- Paul Wise <pabs@debian.org>  Tue, 08 Feb 2011 23:59:34 +0800

transcend (0.3.dfsg1-3) unstable; urgency=low

  [ Sam Hocevar ]
  * debian/transcend.6:
    + Removed weird mention of a wok and a frying pan from the manpage and
      the empty SEE ALSO section (Closes: #413825).
  * debian/control:
    + Added myself to the uploaders.
    + Removed a comma from the short description.

  [ Cyril Brulebois ]
  * Added Vcs-Svn and Vcs-Browser fields in the control file.

  [ Jon Dowland ]
  * add Homepage: control field to source stanza

  [ Barry deFreese ]
  * Remove comments from debian/copyright.
  * Bump debhelper build-dep version to 5 to match compat.
  * Fix copyright line in debian/copyright.
  * Add descriptions to quilt patches.
  * Bump to Standards Version 3.8.0. (No changes needed).
  * Add myself to uploaders.

  [ Miriam Ruiz ]
  * Fixed bashism: Replaced "{build,configure}-stamp"
    by "build-stamp configure-stamp" in debian/rules.
    (Closes: #484447)

  [ Ansgar Burchardt ]
  * Remove Homepage semi-field from description

  [ Christoph Egger ]
  * Replacing obsolete Packages in build-depends
  * Actually loading www.tmac in manpage to get rid of man warning

 -- Barry deFreese <bdefreese@debian.org>  Mon, 16 Mar 2009 12:03:07 -0400

transcend (0.3.dfsg1-2) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * fix the watch file

  [ Miriam Ruiz ]
  * Fixed building system to respect DEB_BUILD_OPTIONS={noopt, nostrip} and use
    CFLAGS defined in debian/rules. Closes: #433361
  * Removed unneeded stuff from debian/rules as configure is not an autotools
    generated script.

 -- Miriam Ruiz <little_miry@yahoo.es>  Mon, 16 Jul 2007 17:47:01 +0000

transcend (0.3.dfsg1-1) unstable; urgency=low

  * Removed non-free stuff.

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 14 Oct 2006 03:56:35 +0000

transcend (0.3-2) unstable; urgency=low

  * Readded ${misc:Depends} to debian/control.
  * Moved game data to /usr/share/games/transcend/

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 30 Sep 2006 01:24:20 +0200

transcend (0.3-1) unstable; urgency=low

  * Initial release. Closes: #334429

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed, 12 Oct 2005 01:58:59 +0200
