=== debian/control ===
Source: transcend
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>,
 Barry deFreese <bdefreese@debian.org>,
 Paul Wise <pabs@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 imagemagick,
 icnsutils,
 freeglut3-dev,
 libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 portaudio19-dev
Rules-Requires-Root: no
Standards-Version: 3.9.4
Homepage: http://transcend.sourceforge.net/
Vcs-Git: https://salsa.debian.org/games-team/transcend.git
Vcs-Browser: https://salsa.debian.org/games-team/transcend

Package: transcend
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: retro-style, abstract 2D shooter
 Transcend can best be described as retro-style, abstract 2-D shooter. The
 graphics are geometrical, and the pace is sometimes frenzied.
 .
 Two features set Transcend apart from other games. First, its dynamic
 graphical engine, which can smoothly morph from one complex shape to
 another, produces striking displays. Combining these dynamic shapes with
 subtle randomizations makes each play through a Transcend level visually
 different from the last. The second novel feature is Transcend's musical
 power-up system. As you play through a level, you are simultaneously
 assembling an abstract visual collage and arranging a unique piece of
 music. Transcend merges video games with pure art---it can be viewed either
 as a game or as a multimedia sculpture.
