=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	chmod u+x Transcend/configure
	cd Transcend && platformSelection=1 ./configure

override_dh_auto_build:
	icns2png -x Transcend/build/macOSX/Transcend.app/Contents/Resources/Transcend.icns || true
	mv Transcend_128x128x32.png transcend.png || convert -scale 128x128 Transcend/doc/moondance/submission/screen1.png transcend.png
	mkdir -p 32x32
	convert -scale 32x32 transcend.png 32x32/transcend.png
	dh_auto_build --buildsystem=makefile --sourcedirectory=Transcend/game -- \
		GXX='$$(CXX)' \
		OPTIMIZE_FLAG="$(CPPFLAGS) $(CXXFLAGS) \
			-DLEVELS_DIR=\\\"/usr/share/games/transcend/levels\\\"" \
		PLATFORM_LINK_FLAGS="$(LDFLAGS) -lGL -lglut -lGLU -lportaudio -lpthread"

override_dh_auto_clean:
	[ ! -f Transcend/game/Makefile ] || $(MAKE) -C Transcend/game clean
	rm -f Transcend/editors/Makefile
	rm -f Transcend/game/Makefile
	rm -f Transcend/game/Makefile.minorGems_dependencies
	rm -rf 32x32 transcend.png

override_dh_installchangelogs:
	dh_installchangelogs Transcend/doc/changeLog.txt

V=0.3
P=Transcend
p=transcend
sfp=transcend/Transcend

get-orig-source:
	wget -c http://downloads.sourceforge.net/project/$(sfp)/$(V)/$(P)_$(V)_UnixSource.tar.gz
	tar zxf $(P)_$(V)_UnixSource.tar.gz
	# Embedded code copies, unused
	rm -r $(P)_$(V)_UnixSource/Transcend/portaudio
	# Pre-built Windows libraries, unused
	rm $(P)_$(V)_UnixSource/Transcend/build/win32/*.dll
	# Windows-only code, unused
	rm $(P)_$(V)_UnixSource/minorGems/io/file/win32/dirent.*
	# non-free, unused
	rm -r $(P)_$(V)_UnixSource/minorGems/util/development/fortify
	rm $(P)_$(V)_UnixSource/minorGems/graphics/openGL/tga.*
	rm $(P)_$(V)_UnixSource/minorGems/graphics/openGL/texture.*
	mv $(P)_$(V)_UnixSource $(p)-$(V)+dfsg1.orig
	tar zcf ../$(p)_$(V)+dfsg1.orig.tar.gz $(p)-$(V)+dfsg1.orig
	rm -r $(P)_$(V)_UnixSource.tar.gz $(p)-$(V)+dfsg1.orig
